<%
/*******************************************************************************
 * Author: Geoff Moes and Robert Sheldon
 * Project: Begining MySQL - Chapter 18
 * Module: insert.jsp
 * Date: 12/10/04
 *
 * Description:
 *
 *  Include file that contains the logic for the insert functionality.
 *
 *******************************************************************************/
%>


<%
// Build the INSERT statement with parameter references
String insertSql = "INSERT INTO Transactions (OrderID, DVDID, DateOut, DateDue) VALUES (?, ?, ?, ?)";

PreparedStatement preparedStatement = connection.prepareStatement(insertSql);

// Set the parameters
preparedStatement.setInt(1, orderId);
preparedStatement.setInt(2, dvdId);
preparedStatement.setDate(3, new java.sql.Date(dateOut.getTime()));
preparedStatement.setDate(4, new java.sql.Date(dateDue.getTime()));

// Execute the INSERT statement
int rowCount = preparedStatement.executeUpdate();

preparedStatement.close();
%>


