<%
/*******************************************************************************
 * Author: Geoff Moes and Robert Sheldon
 * Project: Begining MySQL - Chapter 19
 * Module: delete.aspx
 * Date: 12/10/04
 *
 * Description:
 *
 *  Include file that contains the delete for the insert functionality.
 *
 *******************************************************************************/
%>


<%
// Build the DELETE statement with a transactionId parameter reference
String deleteSQL = "DELETE FROM Transactions WHERE TransID = ?";

odbcCommand = new OdbcCommand(deleteSQL, odbcConnection);

// Set the TransID parameter
OdbcParameter odbcParameter = new OdbcParameter("", OdbcType.Int);
odbcParameter.Value = transactionId;
odbcCommand.Parameters.Add(odbcParameter);

// Execute the DELETE statement
odbcCommand.ExecuteNonQuery();

if(odbcCommand != null)
   odbcCommand.Dispose();
%>
