
/* Chapter 12 - Examples */


CREATE TABLE Books
(
   BookID SMALLINT NOT NULL PRIMARY KEY,
   BookTitle VARCHAR(60) NOT NULL,
   Copyright YEAR NOT NULL
)
ENGINE=INNODB;


START TRANSACTION;
INSERT INTO Books VALUES (101, 'Letters to a Young Poet', 1934);
INSERT INTO Books VALUES (102, 'Winesburg, Ohio', 1919);
COMMIT;


START TRANSACTION;
INSERT INTO Books VALUES (103, 'Hell\s Angels', 1966);
INSERT INTO Books VALUES (104, 'Black Elk Speaks', 1932);
ROLLBACK;


START TRANSACTION;
INSERT INTO Books VALUES (103, 'Hell\s Angels', 1966);
INSERT INTO Books VALUES (104, 'Black Elk Speaks', 1932);
SAVEPOINT sp1;


START TRANSACTION;
INSERT INTO Books VALUES (103, 'Hell\s Angels', 1966);
INSERT INTO Books VALUES (104, 'Black Elk Speaks', 1932);
SAVEPOINT sp1;
INSERT INTO Books VALUES (105, 'Noncomformity', 1996);
INSERT INTO Books VALUES (106, 'A Confederacy of Dunces', 1980);
ROLLBACK TO SAVEPOINT sp1;
INSERT INTO Books VALUES (107, 'Postcards', 1992);
INSERT INTO Books VALUES (108, 'The Shipping News', 1993);
COMMIT;


