
/* Chapter 16 - Try It Out sections */


/* Try It Out: Backing Up a Database to a Backup File */

CREATE DATABASE VideoRentals;
use VideoRentals;
CREATE TABLE Videos
(
   VideoID SMALLINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
   VideoName VARCHAR(60) NOT NULL,
   Status ENUM('In', 'Out') NOT NULL
) 
ENGINE=INNODB;


INSERT INTO Videos (VideoName, Status)
VALUES ('Out of Africa', 'In'),
('The Maltese Falcon', 'In'),
('The Rocky Horror Picture Show', 'Out'),
('A Room with a View', 'In'),
('Mash', 'Out');
