<%
/*******************************************************************************
 * Author: Geoff Moes and Robert Sheldon
 * Project: Begining MySQL - Chapter 18
 * Module: delete.jsp
 * Date: 12/10/04
 *
 * Description:
 *
 *  Include file that contains the delete for the insert functionality.
 *
 *******************************************************************************/
%>


<%
// Build the DELETE statement with a transactionId parameter reference
String deleteSQL = "DELETE FROM Transactions WHERE TransID = ?";

PreparedStatement preparedStatement = connection.prepareStatement(deleteSQL);

// Set the transactionId parameter
preparedStatement.setInt(1, transactionId);

// Execute the DELETE statement
int rowCount = preparedStatement.executeUpdate();

preparedStatement.close();
%>


